Subject: [ledbat] HTTP 1.1 Pipelining, Safari and HOL

From: Reinaldo Penno <[email-masked]>
Date: Thu, 3 Dec 2009 03:47:05 -0500

During the App Practices and recommendations presentation I mention the fact
that HTTP clients use many parallel TCP connections to get around the issue
of Head of Line Blocking, which is present in HTTP 1.1 Pipelining as well.

There was a comment (Stuart?) saying that Safari opens multiple connections
because buggy servers do not use chunked transfer and therefore pipelining
would be impacted.

Thinking back I'm not sure if this was a general observation around the
number connections Safari opens or it was implied that if a server uses
chunked transfer that would solve the HOL issue around HTTP 1.1 Pipelining.

If the latter I would appreciate specific pointers on how chunked transfer
would solve the HOL issue in the case of HTTP Pipelining since the current
text discusses this issue.

BTW, does Safari 4.0 supports HTTP Pipelining?

Thanks,

Reinaldo